stages:
  - upload

.ssh_before_script: &ssh_before_script
    - 'which ssh-agent || ( apk add openssh-client )'
    - mkdir -p ~/.ssh
    - eval $(ssh-agent -s)
    - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'

upload-to-stage:
  stage: upload
  image: alpine
  before_script:
    - *ssh_before_script
  script:
    - ssh-add <(echo "$SSH_PRIVATE_KEY")
    - scp -r ./* $USER@$HOST:/home/ubuntu/traefik-reverse-proxy/superdulev/
    - ssh $USER@$HOST "cd /home/ubuntu/traefik-reverse-proxy/superdulev/ && docker-compose up -d"